{ pkgs ? import <nixpkgs> { } }:

with pkgs;

mkShell {
  buildInputs = [ python27 python27Packages.virtualenv ];

  shellHook = ''
    # Workaround to use pip
    SOURCE_DATE_EPOCH=$(date +%s)
    virtualenv .venv
    export PATH=$PWD/.venv/bin:$PATH
    pip install etlalchemy
    pip install psycopg2
  '';
}
